Bug 1229274 - tiering:glusterd crashed when trying to detach-tier commit force on a non-tiered volume.
Summary: tiering:glusterd crashed when trying to detach-tier commit force on a non-tie...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: tier
Version: rhgs-3.1
Hardware: All
OS: All
urgent
urgent
Target Milestone: ---
: RHGS 3.1.0
Assignee: Mohammed Rafi KC
QA Contact: Nag Pavan Chilakam
URL:
Whiteboard:
Depends On: 1228112 1230563
Blocks: 1202842
TreeView+ depends on / blocked
 
Reported: 2015-06-08 10:53 UTC by Nag Pavan Chilakam
Modified: 2016-09-17 15:41 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.7.1-5
Doc Type: Bug Fix
Doc Text:
Clone Of: 1228112
Environment:
Last Closed: 2015-07-29 04:59:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1495 0 normal SHIPPED_LIVE Important: Red Hat Gluster Storage 3.1 update 2015-07-29 08:26:26 UTC

Description Nag Pavan Chilakam 2015-06-08 10:53:27 UTC
+++ This bug was initially created as a clone of Bug #1228112 +++

Description of problem:

glusterd crashed when trying to detach-tier commit force on a non-tiered volume.

Version-Release number of selected component (if applicable):

mainline

How reproducible:

100%

Steps to Reproduce:
1.create a regular volume of any time other than tier
2.start the volume
3.gluster volume detach-tier vol commit force

Actual results:

glusterd crashed

Expected results:

should throw an error.

Additional info:

--- Additional comment from Anand Avati on 2015-06-04 04:57:57 EDT ---

REVIEW: http://review.gluster.org/11081 (glusterd/tier: glusterd crashed with detach-tier commit force) posted (#1) for review on master by mohammed rafi  kc (rkavunga@redhat.com)

Comment 2 Mohammed Rafi KC 2015-06-10 14:06:46 UTC
upstream patch : http://review.gluster.org/#/c/11081/

Comment 4 Joseph Elwin Fernandes 2015-06-15 10:54:25 UTC
Downstream patch
https://code.engineering.redhat.com/gerrit/50622

Comment 9 Nag Pavan Chilakam 2015-06-25 11:04:15 UTC
I have tried detach-tier on following types of volumes
1)ec vol
2)tiered vol where tier was detached and converted to ordinary volume

In all cases where the volume is not tiered, detach commands throw error saying "not tiered volume" without any crash.
Hence closing it as fixed


Logs
-=====
[root@tettnang ~]# gluster v status ecvol
Status of volume: ecvol
Gluster process                             TCP Port  RDMA Port  Online  Pid
------------------------------------------------------------------------------
Brick tettnang:/rhs/brick1/ecvol            49155     0          Y       22605
Brick zod:/rhs/brick1/ecvol                 49161     0          Y       11571
Brick yarrow:/rhs/brick1/ecvol              49158     0          Y       18822
Brick tettnang:/rhs/brick2/ecvol            49156     0          Y       22627
Brick zod:/rhs/brick2/ecvol                 49162     0          Y       11591
Brick yarrow:/rhs/brick2/ecvol              49159     0          Y       18840
Brick tettnang:/rhs/brick3/ecvol            49157     0          Y       22645
Brick zod:/rhs/brick3/ecvol                 49163     0          Y       11613
Brick yarrow:/rhs/brick3/ecvol              49160     0          Y       18858
Brick tettnang:/rhs/brick4/ecvol            49158     0          Y       22663
NFS Server on localhost                     N/A       N/A        N       N/A  
Self-heal Daemon on localhost               N/A       N/A        Y       22725
NFS Server on yarrow                        N/A       N/A        N       N/A  
Self-heal Daemon on yarrow                  N/A       N/A        Y       18888
NFS Server on zod                           N/A       N/A        N       N/A  
Self-heal Daemon on zod                     N/A       N/A        Y       11657
 
Task Status of Volume ecvol
------------------------------------------------------------------------------
There are no active volume tasks
 
[root@tettnang ~]# gluster v detach-tier ecvol
Usage: volume detach-tier <VOLNAME>  <start|stop|status|commit|[force]>
[root@tettnang ~]# gluster v detach-tier ecvol start
volume detach-tier start: failed: volume ecvol is not a tier volume
[root@tettnang ~]# gluster v detach-tier ecvol force
Usage: volume detach-tier <VOLNAME>  <start|stop|status|commit|[force]>
[root@tettnang ~]# gluster v detach-tier ecvol force start
Usage: volume detach-tier <VOLNAME>  <start|stop|status|commit|[force]>
[root@tettnang ~]# gluster v detach-tier ecvol commit force
volume detach-tier commit force: failed: volume ecvol is not a tier volume
[root@tettnang ~]# gluster --version
glusterfs 3.7.1 built on Jun 23 2015 22:08:15
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.
[root@tettnang ~]# rpm -qa|grep gluster
glusterfs-api-3.7.1-5.el7rhgs.x86_64
glusterfs-libs-3.7.1-5.el7rhgs.x86_64
glusterfs-rdma-3.7.1-5.el7rhgs.x86_64
glusterfs-3.7.1-5.el7rhgs.x86_64
glusterfs-cli-3.7.1-5.el7rhgs.x86_64
glusterfs-debuginfo-3.7.1-5.el7rhgs.x86_64
glusterfs-client-xlators-3.7.1-5.el7rhgs.x86_64
glusterfs-server-3.7.1-5.el7rhgs.x86_64
glusterfs-geo-replication-3.7.1-5.el7rhgs.x86_64
glusterfs-fuse-3.7.1-5.el7rhgs.x86_64
[root@tettnang ~]#

Comment 10 errata-xmlrpc 2015-07-29 04:59:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1495.html


Note You need to log in before you can comment on or make changes to this bug.